Browse Source

Sync with portage [Wed Dec 23 08:30:37 MSK 2020].

master 1833
Calculate Linux 2 years ago
parent
commit
bb42a6bdeb
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 1
      app-admin/ansible-cmdb/Manifest
  4. 24
      app-admin/ansible-cmdb/ansible-cmdb-1.30.ebuild
  5. 1
      app-admin/entr/Manifest
  6. 31
      app-admin/entr/entr-4.5.ebuild
  7. 2
      app-admin/exo/Manifest
  8. 0
      app-admin/exo/exo-1.22.2.ebuild
  9. 44
      app-admin/newsyslog/newsyslog-1.1.0.81-r1.ebuild
  10. 34
      app-admin/pydf/pydf-12-r2.ebuild
  11. 1
      app-admin/salt/Manifest
  12. 5
      app-admin/salt/salt-3001.4-r1.ebuild
  13. 183
      app-admin/salt/salt-3002.1.ebuild
  14. 6
      app-admin/salt/salt-3002.2-r2.ebuild
  15. BIN
      app-arch/Manifest.gz
  16. 2
      app-arch/zstd/zstd-1.4.5.ebuild
  17. 4
      app-arch/zstd/zstd-1.4.8-r1.ebuild
  18. BIN
      app-backup/Manifest.gz
  19. 14
      app-backup/tarsnap/files/tarsnap-1.0.39-respect-AR.patch
  20. 10
      app-backup/tarsnap/tarsnap-1.0.39.ebuild
  21. BIN
      app-crypt/Manifest.gz
  22. 2
      app-crypt/gnupg/Manifest
  23. 6
      app-crypt/gnupg/gnupg-2.2.26.ebuild
  24. BIN
      app-editors/Manifest.gz
  25. 11
      app-editors/neovim/files/neovim-0.4.4-cmake_multiimpl_luv.patch
  26. 3
      app-editors/neovim/neovim-0.4.4-r100.ebuild
  27. 3
      app-editors/neovim/neovim-9999.ebuild
  28. BIN
      app-emulation/Manifest.gz
  29. 1
      app-emulation/libvirt/libvirt-6.10.0-r2.ebuild
  30. 1
      app-emulation/libvirt/libvirt-9999.ebuild
  31. BIN
      app-eselect/Manifest.gz
  32. 0
      app-eselect/eselect-lua/eselect-lua-3.ebuild
  33. 62
      app-eselect/eselect-lua/files/lua.eselect-3
  34. BIN
      app-office/Manifest.gz
  35. 1
      app-office/kmymoney/Manifest
  36. 133
      app-office/kmymoney/kmymoney-5.1.1.ebuild
  37. 1
      app-office/scribus/Manifest
  38. 159
      app-office/scribus/scribus-1.5.5_p20200626.ebuild
  39. BIN
      app-officeext/Manifest.gz
  40. 1
      app-officeext/languagetool/Manifest
  41. 23
      app-officeext/languagetool/languagetool-5.1.3.ebuild
  42. BIN
      app-text/Manifest.gz
  43. 2
      app-text/ghostscript-gpl/ghostscript-gpl-9.53.3-r4.ebuild
  44. 101
      app-text/highlight/highlight-3.57-r100.ebuild
  45. 26
      app-text/mythes/mythes-1.2.4-r1.ebuild
  46. 15
      app-text/podofo/files/podofo-0.9.6_p20190928-cmake_lua_version.patch
  47. 159
      app-text/podofo/podofo-0.9.6_p20190928-r100.ebuild
  48. BIN
      dev-db/Manifest.gz
  49. 2
      dev-db/pgbouncer/pgbouncer-1.15.0.ebuild
  50. 2
      dev-db/pspg/pspg-3.1.5.ebuild
  51. BIN
      dev-haskell/Manifest.gz
  52. 2
      dev-haskell/text/text-1.2.4.0-r1.ebuild
  53. BIN
      dev-java/Manifest.gz
  54. 2
      dev-java/javatoolkit/javatoolkit-0.6.5.ebuild
  55. 1
      dev-java/javatoolkit/metadata.xml
  56. 2
      dev-java/tomcat-servlet-api/Manifest
  57. 39
      dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.59.ebuild
  58. 39
      dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.38.ebuild
  59. BIN
      dev-lang/Manifest.gz
  60. 4
      dev-lang/lua/lua-5.1.5-r105.ebuild
  61. 4
      dev-lang/lua/lua-5.2.4-r2.ebuild
  62. 4
      dev-lang/lua/lua-5.3.6-r1.ebuild
  63. 4
      dev-lang/lua/lua-5.4.1-r1.ebuild
  64. 174
      dev-lang/php/files/php-7.2.34-use-after-free-bug76047.patch
  65. 1
      dev-lang/php/php-7.2.34-r1.ebuild
  66. 1
      dev-lang/python/Manifest
  67. 355
      dev-lang/python/python-3.8.7.ebuild
  68. 4
      dev-lang/spidermonkey/Manifest
  69. 303
      dev-lang/spidermonkey/spidermonkey-78.4.1.ebuild
  70. 303
      dev-lang/spidermonkey/spidermonkey-78.5.0.ebuild
  71. 4
      dev-lang/spidermonkey/spidermonkey-78.6.0.ebuild
  72. BIN
      dev-libs/Manifest.gz
  73. 359
      dev-libs/boost/boost-1.74.0-r2.ebuild
  74. 125
      dev-libs/boost/files/boost-1.74-CVE-2012-2677.patch
  75. 1
      dev-libs/c-blosc/Manifest
  76. 47
      dev-libs/c-blosc/c-blosc-1.21.0.ebuild
  77. 2
      dev-libs/gmp/gmp-6.2.1.ebuild
  78. 2
      dev-libs/icu/icu-68.2.ebuild
  79. 2
      dev-libs/libcbor/libcbor-0.8.0.ebuild
  80. 2
      dev-libs/libfido2/libfido2-1.5.0-r1.ebuild
  81. 1
      dev-libs/libgpg-error/Manifest
  82. 58
      dev-libs/libgpg-error/libgpg-error-1.41.ebuild
  83. 2
      dev-libs/libpipeline/libpipeline-1.5.3.ebuild
  84. 32
      dev-libs/libtomcrypt/libtomcrypt-1.18.2-r1.ebuild
  85. 1
      dev-libs/nss/Manifest
  86. 359
      dev-libs/nss/nss-3.56.ebuild
  87. 5
      dev-libs/openssl/Manifest
  88. 19
      dev-libs/openssl/files/openssl-1.1.0k-fix-test_fuzz.patch
  89. 30
      dev-libs/openssl/files/openssl-1.1.0l-fix-no-ec2m-in-ec_curve.c.patch
  90. 306
      dev-libs/openssl/openssl-1.1.0l.ebuild
  91. 324
      dev-libs/openssl/openssl-1.1.1g.ebuild
  92. 324
      dev-libs/openssl/openssl-1.1.1h.ebuild
  93. 1
      dev-libs/pugixml/Manifest
  94. 20
      dev-libs/pugixml/pugixml-1.11.4.ebuild
  95. BIN
      dev-lua/Manifest.gz
  96. 51
      dev-lua/luv/luv-1.32.0.0-r102.ebuild
  97. BIN
      dev-python/Manifest.gz
  98. 2
      dev-python/PyICU/PyICU-2.6.ebuild
  99. 1
      dev-python/aiorpcX/Manifest
  100. 28
      dev-python/aiorpcX/aiorpcX-0.18.5.ebuild

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

1
app-admin/ansible-cmdb/Manifest

@ -1 +1,2 @@
DIST ansible-cmdb-1.28.tar.gz 177437 BLAKE2B d3faa6cccdaa0825318bc9df09ad28b15d1a70ac25281f283e65ed760698c06db582d6954f19efe6cdde8e7ab103a915e663659cc64d72851ed830c817a700b7 SHA512 d8f87b7e2c664aec20585c34a83271ea4ec397c70ff1114e2b3669ba17903ed8f57ddf774b74d3d267a423bb71bf6d9fd6e59aa497f4b17449104db6ac71b38a
DIST ansible-cmdb-1.30.tar.gz 179165 BLAKE2B 377b182ffd0f7cf6630011f7df82fe1155c0f00a482e91e0d8206eee5aab167eb96dc936b2fbd02c6c80e725b9767f25a02422d538ee7ecf95ad1e9be51fe81a SHA512 e4561976588d6268c6849a4b1656c57d9a0f2db9256b2d2821f9c1a8c23fdb92b843b06bb94b44db565966c209b62da4bb11dfa41319a3b01ea4c7a53dde930f

24
app-admin/ansible-cmdb/ansible-cmdb-1.30.ebuild

@ -0,0 +1,24 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1
DESCRIPTION="Ansible Configuration Management Database"
HOMEPAGE="https://github.com/fboender/ansible-cmdb"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="
dev-python/mako[${PYTHON_USEDEP}]
dev-python/jsonxs[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]"

1
app-admin/entr/Manifest

@ -1,2 +1 @@
DIST entr-4.5.tar.gz 24674 BLAKE2B ee9ce841c5b3adb2bddb5742c73311b6924e914b896297d56ca3397812e8d528a25276b2b6882e2391f649106e4bf1ebc81bc1cec837b8ce1056e2575eae20da SHA512 db9499d78385df5056a30a4e3262fb436090acc5410ddfc529a7cfe4e10e304e13787abfc31dd38dbf8b9f01fa3369ef32d20c9fb903fa35763f41791bdda9c7
DIST entr-4.6.tar.gz 24909 BLAKE2B e6c1eb5da1a3b94d593297f9975c36ea98d88c5b6ac17c34934c8d4678fb1c247699b8ff3d481a3972a67fd0abba75687b11489258be98990713e2041a12c2d0 SHA512 41e8c2311c7833a778193b13d1e0b1bb18ece54f5e20b8b5b0b4a2308ba1cc1a8b8378700dbac83ee68822b5f847a3fa9c47822d22a22d45da792d2408f48378

31
app-admin/entr/entr-4.5.ebuild

@ -1,31 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Run arbitrary commands when files change"
HOMEPAGE="http://entrproject.org"
SRC_URI="http://entrproject.org/code/${P}.tar.gz"
LICENSE="ISC"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="test"
RESTRICT="!test? ( test )"
src_configure() {
sh configure || die
sed -i -e 's#\(^PREFIX \).*#\1\?= /usr#' Makefile.bsd || die
}
src_compile() {
export CC=$(tc-getCC)
default
}
src_test() {
export CC=$(tc-getCC)
default
}

2
app-admin/exo/Manifest

@ -1 +1 @@
DIST exo-1.22.0.tar.gz 4684873 BLAKE2B a143517a99fde17c237c25dcdd4b54570d6ce9760157d24c8f09c26851b5fb65c6ac56506179a008f32cc657cf40fb781eb304375e3f3422a5166e6b1c194164 SHA512 f68d1524c8a1dc44aca4ab1999ebbc93a980a58344c1b39c68eb54b4651d9471b310541c2d34a43e67ad956ed93e2d3ce89c3ebeb450b620c641907684572799
DIST exo-1.22.2.tar.gz 4684092 BLAKE2B ee5ddab06438cbc7d177796917c97649fefa35630a0d8012da53042098b639f5bd580a676e30567981f55e7fc9a512069804b7c45fddb739ca54c4702cc09955 SHA512 325f9a902de424d197583bf921528bc08fc8336030f7d3d5fe4571ab26ffbdf42bf602331302124c3be1103bf3b645f05e6729752295d5ceaa3cf88f802cde99

0
app-admin/exo/exo-1.22.0.ebuild → app-admin/exo/exo-1.22.2.ebuild

44
app-admin/newsyslog/newsyslog-1.1.0.81-r1.ebuild

@ -0,0 +1,44 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="a highly configurable program for managing and archiving log files"
HOMEPAGE="http://www.weird.com/~woods/projects/newsyslog.html"
SRC_URI="http://download.openpkg.org/components/cache/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
DEPEND="
sys-apps/groff"
RDEPEND="
virtual/cron
app-arch/gzip"
PATCHES=( "${FILESDIR}/${P}-html.patch" )
DOCS=( newsyslog.conf AUTHORS ChangeLog INSTALL NEWS ToDo )
src_configure() {
local myconf="--with-syslogd_pid=/var/run/syslog.pid"
if has_version 'app-admin/syslog-ng'; then
myconf="--with-syslogd_pid=/var/run/syslog-ng.pid"
fi
econf \
--with-gzip \
--with-newsyslog_conf=/etc/newsyslog.conf \
${myconf}
}
src_install() {
emake \
DESTDIR="${D}" \
catmandir="${T}"/dont-install \
install
einstalldocs
}

34
app-admin/pydf/pydf-12-r2.ebuild

@ -0,0 +1,34 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
inherit python-r1
DESCRIPTION="Enhanced df with colors"
HOMEPAGE="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/"
SRC_URI="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/${PN}_${PV}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}"
src_prepare() {
default
sed -i -e "s#/etc/pydfrc#${EPREFIX}/etc/pydfrc#" "${PN}" || die
}
src_install() {
python_foreach_impl python_doscript "${PN}"
insinto /etc
doins "${PN}rc"
doman "${PN}.1"
einstalldocs
}

1
app-admin/salt/Manifest

@ -4,5 +4,4 @@ DIST salt-3000.2-py38-misc.patch.gz 6250 BLAKE2B 68fff80a042e6bf208ea2d9692da7a7
DIST salt-3000.5.tar.gz 15229450 BLAKE2B 135e9b9dcc461ac898231ce46e6a1359e6d60a43822320950bc0b83057f768dadf55320dd73df72d5bc917f324eef4661e6f75d8eb8e84aef958bd2df8924cfc SHA512 2579f65c24d22d77132057bd8cf37040d7d149624745dd68b4c44318be786580dcc34bf563f90d7de9ef5b726b2453bef4d8639bc8fbd9c5e691500520335317
DIST salt-3000.6.tar.gz 15236781 BLAKE2B 5a532a6915b331fb532dc6e1651cf8fca3e1a5e9f29f6d75260fdb1162dbfeec755c65f7c6fc28b1cc7dc3ace978547830af31aafc1eee8419bbc7e695725787 SHA512 739e3671766c45a0ef1eb45933c7f00f14586e91f4c4a79cbed913a48961a48baee853206ba569491756e8a872d22f3635eb6bc1a366020e551c567b2334c508
DIST salt-3001.4.tar.gz 15716372 BLAKE2B cc33b29b0da9cfaae22726b2b471245880aafa106187b531872a9ae5ee773a94e0d550a68b11b74826bc0b35197a311f690535f2280931ccb5050275ad967c2d SHA512 b7f343c65917280a96d8a3eaa6b508121b11b9f9b0bfffa5b4c79af0023bdecf4581f76014847d97f48d9677edb6f632adec3850153c3048c3114128a250b84b
DIST salt-3002.1.tar.gz 15753988 BLAKE2B d084dc650b8bc92b4ebdb145a41a39bfbd034064fad65e364260eca84d7105fb645ad8f6cea2cc1b6affb1abf21a9858ab6fb526eaf4ecd8f76c70d1384c7edc SHA512 8fc02d0b47dad60f96eb4442b0e8a31f04d796f12b845c8142135593af4c7ea9c2d9335a3f520f8858951f87b0e8cc6be70d383fde2d93a6d529e077bcc87114
DIST salt-3002.2.tar.gz 15765855 BLAKE2B b26895ababc8551e01baa806c5a0e41dab9a379e47d2289b5c3c529ef762c69631d7ed8b32339ec66c3929c5883782131eb56d1bfbcc743829c4f0199a900ca1 SHA512 0f617a07475347b1bb0d1c6059de541e102103182820dfd6f64f4c281d660e68358eb1ab7171a637e16cef9fea2517c8356df9c449f9bbc92538aa86c316f652

5
app-admin/salt/salt-3001.4.ebuild → app-admin/salt/salt-3001.4-r1.ebuild

@ -33,7 +33,6 @@ RDEPEND="
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
>=dev-python/pycryptodome-3.9.7[${PYTHON_USEDEP}]
dev-python/pycryptodomex[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
@ -115,7 +114,9 @@ python_prepare_all() {
rm tests/unit/{states,modules}/test_zcbuildout.py || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die
find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; /pycryptodomex/ d' -i || die
# pycryptodome rather than pycryptodomex
find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:Cryptodome:Crypto:g' -- || die
distutils-r1_python_prepare_all
}

183
app-admin/salt/salt-3002.1.ebuild

@ -1,183 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..8} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="https://www.saltstack.com/resources/community/
https://github.com/saltstack"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
mongodb neutron nova openssl portage profile redis selinux test raet
+zeromq vim-syntax"
RDEPEND="
sys-apps/pciutils
>=dev-python/distro-1.5[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
>=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
dev-python/pycryptodomex[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/toml[${PYTHON_USEDEP}]
dev-python/watchdog[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? (
$(python_gen_cond_dep 'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_7)
)
openssl? (
dev-libs/openssl:0=[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
nova? (
$(python_gen_cond_dep '>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_7)
)
neutron? (
$(python_gen_cond_dep '>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_7)
)
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )
zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
${RDEPEND}
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
>=dev-python/pytest-salt-factories-0.93.0[${PYTHON_USEDEP}]
dev-python/pytest-tempdir[${PYTHON_USEDEP}]
>=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.3.15[${PYTHON_USEDEP}] )
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="|| ( raet zeromq )
test? ( cheetah genshi )"
RESTRICT="!test? ( test ) x86? ( test )"
PATCHES=(
"${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-3002-dont-realpath-on-tmpdir.patch"
"${FILESDIR}/salt-3002-tests.patch"
)
python_prepare_all() {
# remove tests with external dependencies that may not be available
rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py} || die
rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
rm tests/unit/states/test_boto_vpc.py || die
rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die
# tests that require network access
rm tests/unit/{states,modules}/test_zcbuildout.py || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die
distutils-r1_python_prepare_all
}
python_prepare() {
einfo "Fixing collections.abc warnings for ${EPYTHON}"
local abc
abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
(
cleanup() { rm -f "${tempdir}" || die; }
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die
USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose \
|| die "testing failed with ${EPYTHON}"
)
}
pkg_postinst() {
if use python_targets_python3_8; then
if use nova; then
ewarn "Salt's nova functionality will not work with python3.8 since"
ewarn "dev-python/python-novaclient does not support it yet"
fi
if use neutron; then
ewarn "Salt's neutron functionality will not work with python3.8 since"
ewarn "dev-python/python-neutronclient does not support it yet"
fi
if use libvirt; then
ewarn "Salt's libvirt functionality will not work with python3.8 since"
ewarn "dev-python/libvirt-python does not support it yet"
fi
fi
}

6
app-admin/salt/salt-3002.2.ebuild → app-admin/salt/salt-3002.2-r2.ebuild

@ -33,7 +33,6 @@ RDEPEND="
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
>=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
dev-python/pycryptodomex[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
@ -114,7 +113,10 @@ python_prepare_all() {
rm tests/unit/{states,modules}/test_zcbuildout.py || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; /pycryptodomex/ d' -i || die
# pycryptodome rather than pycryptodomex
find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:Cryptodome:Crypto:g' -- || die
distutils-r1_python_prepare_all
}

BIN
app-arch/Manifest.gz

2
app-arch/zstd/zstd-1.4.5.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/facebook/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="lz4 static-libs +threads"
RDEPEND="app-arch/xz-utils

4
app-arch/zstd/zstd-1.4.8.ebuild → app-arch/zstd/zstd-1.4.8-r1.ebuild

@ -18,10 +18,6 @@ RDEPEND="app-arch/xz-utils
lz4? ( app-arch/lz4 )"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}/${PN}-1.4.5-fix-uclibc-ng.patch" #741972
)
src_prepare() {
default
multilib_copy_sources

BIN
app-backup/Manifest.gz

14
app-backup/tarsnap/files/tarsnap-1.0.39-respect-AR.patch

@ -0,0 +1,14 @@
https://bugs.gentoo.org/721914
--- a/Makefile.in
+++ b/Makefile.in
@@ -124,7 +124,7 @@ CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
-AR = ar
+AR := ar
ARFLAGS = cru
AM_V_AR = $(am__v_AR_@AM_V@)
am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)

10
app-backup/tarsnap/tarsnap-1.0.39.ebuild

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit bash-completion-r1
inherit bash-completion-r1 toolchain-funcs
DESCRIPTION="Online backups for the truly paranoid"
HOMEPAGE="https://www.tarsnap.com/"
@ -26,6 +26,8 @@ RDEPEND="
DEPEND="${RDEPEND}
virtual/os-headers" # Required for "magic.h"
PATCHES=( "${FILESDIR}"/${PN}-1.0.39-respect-AR.patch )
S=${WORKDIR}/${PN}-autoconf-${PV}
src_configure() {
@ -37,6 +39,10 @@ src_configure() {
$(use_with lzma)
}
src_compile() {
emake AR=$(tc-getAR)
}
src_install() {
default
dobashcomp misc/bash_completion.d/*

BIN
app-crypt/Manifest.gz

2
app-crypt/gnupg/Manifest

@ -1,4 +1,4 @@
DIST gnupg-2.2.16-scdaemon_shared-access.patch 2586 BLAKE2B 42fd5482c4e86751ce62836125997c2295c44bc5db0671a06460fd306b2ed93f290fb898fc1b1e463a863eddf9ab5f99ea3c90a55499ef45ca1ed6edf2854663 SHA512 38abaa4200114ae6b6f220fabc0a84a056761949c97bd0564557f4411a299b9a1939893555c27e26da2d8e8da4bc97a298fa7e68f1e80fe99c3f88cc329eaa84
DIST gnupg-2.2.20.tar.bz2 6786913 BLAKE2B 43cf9402a26e67d6c7c2444eb2faaee3f06ea0bf6c07708a50834c5d7424db2f9c38e1f0046dd3a35082abc08d401b2951655e7e068f0873db297560b87d2667 SHA512 3e69f102366ec3415f439ab81aae2458182fa1a18dfb86565b1d9dc638f3fc4c179a5947f0042b7c5a813345676285a662793664a1803ea9ad8328f0548e0edc
DIST gnupg-2.2.24.tar.bz2 7196489 BLAKE2B 0e6fd3df2a12910d43e290f86839f2ea56dddc2598e3687c356522727b082e3b266c00b7e5184aecac3103c9638e776463adc7b807b6b294180f227877861b1d SHA512 b72fb12da95c1c62f013e1ffdbf2983b4185f0de59edba6061209904e5f63525e23a406529fafcd1b0b50ccbad45980c1db293601e8db84d5cbf65a7228834fb
DIST gnupg-2.2.25.tar.bz2 7195857 BLAKE2B c930edf9259a0e1c508af8d76a86f979860adfe2c525020b37d3741679200f96483f0ad8bc1f72e2dbf7fe77696cd04d4272a2ee23e4c4abe1ed6ba88b95f365 SHA512 ab1d7cc9d8be3e7189bc4bea431b9d5db313cbd1739823950f32fbb611b2f4374889f444efbf43ce1fbf498b9865d7e6e953cd4c86d58fd688f63923c434ea2c
DIST gnupg-2.2.26.tar.bz2 7189254 BLAKE2B f51dd18f6fe327573769d1581ab49bfbca6a56973f6115a68d11e79f52f4b9bdd717ff027800cd1d52fca56abcffa80ee025b49a6af3914f60decdad1e1585ba SHA512 5e9482e126c32c836064b125a18b109f0d3c96892474d3fb47dd791350cccefc56f9a5dfbd54504716487a93d9f71de2493bdfef92e29964b5bfe28b0053c265

6
app-crypt/gnupg/gnupg-2.2.24.ebuild → app-crypt/gnupg/gnupg-2.2.26.ebuild

@ -104,12 +104,6 @@ src_configure() {
append-cppflags -I"${EPREFIX}/usr/include/libusb-1.0"
fi
if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi
#bug 663142
if use user-socket; then
myconf+=( --enable-run-gnupg-user-socket )

BIN
app-editors/Manifest.gz

11
app-editors/neovim/files/neovim-0.4.4-cmake_multiimpl_luv.patch

@ -1,11 +0,0 @@
--- a/cmake/FindLibLUV.cmake
+++ b/cmake/FindLibLUV.cmake
@@ -6,7 +6,7 @@
find_package(PkgConfig)
if (PKG_CONFIG_FOUND)
- pkg_check_modules(PC_LIBLUV QUIET luv)
+ pkg_check_modules(PC_LIBLUV QUIET "libluv-${LUA_PRG}")
endif()
set(LIBLUV_DEFINITIONS ${PC_LIBLUV_CFLAGS_OTHER})

3
app-editors/neovim/neovim-0.4.4-r100.ebuild

@ -38,9 +38,9 @@ BDEPEND="${LUA_DEPS}
# TODO: add tests, dev-lua/busted has now got luajit support.
# bug #584694
DEPEND="${LUA_DEPS}
dev-lua/luv[${LUA_SINGLE_USEDEP}]
$(lua_gen_cond_dep '
dev-lua/lpeg[${LUA_USEDEP}]
dev-lua/luv[${LUA_USEDEP}]
dev-lua/mpack[${LUA_USEDEP}]
')
$(lua_gen_cond_dep '
@ -62,7 +62,6 @@ RDEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-0.4.4-cmake_lua_version.patch
"${FILESDIR}"/${PN}-0.4.4-cmake_multiimpl_luv.patch
)
src_prepare() {

3
app-editors/neovim/neovim-9999.ebuild

@ -38,9 +38,9 @@ BDEPEND="${LUA_DEPS}
# TODO: add tests, dev-lua/busted has now got luajit support.
# bug #584694
DEPEND="${LUA_DEPS}
dev-lua/luv[${LUA_SINGLE_USEDEP}]
$(lua_gen_cond_dep '
dev-lua/lpeg[${LUA_USEDEP}]
dev-lua/luv[${LUA_USEDEP}]
dev-lua/mpack[${LUA_USEDEP}]
')
$(lua_gen_cond_dep '
@ -64,7 +64,6 @@ RDEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-0.4.4-cmake_lua_version.patch
"${FILESDIR}"/${PN}-0.4.4-cmake_multiimpl_luv.patch
)
src_prepare() {

BIN
app-emulation/Manifest.gz

1
app-emulation/libvirt/libvirt-6.10.0-r2.ebuild

@ -81,6 +81,7 @@ RDEPEND="
iscsi-direct? ( >=net-libs/libiscsi-1.18.0 )
libssh? ( net-libs/libssh )
lvm? ( >=sys-fs/lvm2-2.02.48-r2[-device-mapper-only(-)] )
lxc? ( !sys-apps/systemd[cgroup-hybrid(-)] )
nfs? ( net-fs/nfs-utils )
numa? (
>sys-process/numactl-2.0.2

1
app-emulation/libvirt/libvirt-9999.ebuild

@ -83,6 +83,7 @@ RDEPEND="
iscsi-direct? ( >=net-libs/libiscsi-1.18.0 )
libssh? ( net-libs/libssh )
lvm? ( >=sys-fs/lvm2-2.02.48-r2[-device-mapper-only(-)] )
lxc? ( !sys-apps/systemd[cgroup-hybrid(-)] )
nfs? ( net-fs/nfs-utils )
numa? (
>sys-process/numactl-2.0.2

BIN
app-eselect/Manifest.gz

0
app-eselect/eselect-lua/eselect-lua-2.ebuild → app-eselect/eselect-lua/eselect-lua-3.ebuild

62
app-eselect/eselect-lua/files/lua.eselect-2 → app-eselect/eselect-lua/files/lua.eselect-3

@ -18,7 +18,7 @@ remove_symlinks() {
for f in $HEADER_FILES ; do
rm -f "${EROOT}"/usr/include/${f}
done
rm -f "${EROOT}"/usr/share/man/man1/{lua,luac}.1{,.gz,.bz2,.lzma} &>/dev/null
rm -f "${EROOT}"/usr/share/man/man1/lua{,c}.1{,.*} &>/dev/null
}
_dup() {
@ -26,9 +26,12 @@ _dup() {
}
set_symlinks() {
local ver=$1
ln -s lua${ver} $(_dup "${EROOT}"/usr/bin/lua)
ln -s luac${ver} $(_dup "${EROOT}"/usr/bin/luac)
local ver=${1#lua}
local bin_prefix="${EROOT}/usr/bin"
ln -s lua${ver} $(_dup "${bin_prefix}"/lua)
if [[ -f "${bin_prefix}"/luac${ver} ]]; then
ln -s luac${ver} $(_dup "${bin_prefix}"/luac)
fi
for dir in $(get_libdirs) ; do
if has 'jit*' ${ver}; then
type -p lua${ver} &>/dev/null || die -q "It's something wrong with your lua${ver} installation: it's binary leads to broken symlink"
@ -41,7 +44,7 @@ set_symlinks() {
fi
ln -s lua${ver}.pc $(_dup "${EROOT}/${dir}"/pkgconfig/lua.pc)
done
for manpage in "${EROOT}"/usr/share/man/man1/lua*${ver}.1* ; do
for manpage in "${EROOT}"/usr/share/man/man1/lua{,c}${ver}.1.* ; do
test -f ${manpage} &&
ln -s $(basename "${manpage}") $(_dup "${manpage//${ver}}")
done
@ -72,14 +75,14 @@ get_libdirs() {
find_targets() {
local dirs
local prefix="${EROOT}/usr/bin/lua"
for f in ${prefix}{5,jit-2}.* ; do
local prefix="${EROOT}/usr/bin/"
for f in ${prefix}lua{5,jit-2}.* ; do
[[ -f "${f}" ]] && dirs="${dirs} ${f##$prefix}"
done
echo $dirs
}
resolv_target() {
resolve_target() {
local targets=( $(find_targets) )
if is_number $1; then
[[ $1 -le ${#targets[@]} && $1 -gt 0 ]] && echo "${targets[ $(( $1 - 1 )) ]}"
@ -89,7 +92,7 @@ resolv_target() {
}
get_active_version() {
readlink -e "${EROOT}"/usr/bin/lua | sed -ne "s:.*/usr/bin/lua\([\w.-]*\):\1:p"
readlink -e "${EROOT}"/usr/bin/lua | sed -ne "s:.*/usr/bin/\([\w.-]*\):\1:p"
}
## Actual actions
@ -101,16 +104,23 @@ describe_set() {
}
describe_set_parameters() {
echo '<target>'
echo '[--if-unset] <target>'
}
describe_set_options() {
echo 'target: Target name or number (from "list" action)'
echo '--if-unset: Do not replace currently selected implementation'
echo 'target: Target name or number (from "list" action)'
}
do_set() {
local target=$(resolv_target $1)
if [ "${1}" == "--if-unset" ]; then
if [[ -n "$(get_active_version)" ]]; then
return
fi
shift
fi
local target=$(resolve_target $1)
if [[ -z "${target}" ]]; then
die -q "You need to specify a version"
fi
@ -144,29 +154,3 @@ describe_show() {
do_show() {
get_active_version
}
## update action
describe_update() {
echo 'Automatically update the lua version'
}
describe_update_options() {
echo 'ifunset : Do not override existing implementation'
}
do_update() {
[[ -n ${1} && ! ( ${1} == ifunset || ${1} == '--if-unset' ) ]] && \
die -q 'Usage error'
[[ ( ${1} == ifunset || ${1} == '--if-unset' ) && -n $(get_active_version) ]] && \
return
remove_symlinks
local targets=( $(find_targets) )
if [[ -n ${#targets[@]} ]] ; then
local target=${targets[${#targets[@]} - 1]}
set_symlinks $target || echo 'Nothing to update'
fi
}

BIN
app-office/Manifest.gz

1
app-office/kmymoney/Manifest

@ -1 +1,2 @@
DIST kmymoney-5.1.0.tar.xz 12005824 BLAKE2B 4eaeefba29d4df85c485d8d94db80b418c0086f6cac81295f1251e3d4883a78c71d0401286a918831ee2a39571a70583675ee303775bffdb3333e11d5624bbf6 SHA512 143161efd708ae05923d68510945c24f08d85cd6482b3e6015c6061bc28c80e095ca56b768e595bfae50ea3340855e021dde5c715546c0641f94adcd91639334
DIST kmymoney-5.1.1.tar.xz 12059768 BLAKE2B 8b41bce8804d757ba9c801c7b1eeb214a8983c4686a9663a4b5255460139593b7f70e29f08294df810a02eab4190dc6de852be091760981fd84ff8191fda82a3 SHA512 2ed3e47b2e65c9d9e5a11b55f0d425192331b21d64f8a4a4f8921fdd67eac219bf3ae1418026071218d823acc9a36905dc5c499cb0ae2af4ced0e32d1720bf59

133
app-office/kmymoney/kmymoney-5.1.1.ebuild

@ -0,0 +1,133 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGIT_BRANCH="5.1"
ECM_HANDBOOK="optional"
ECM_TEST="forceoptional"
KFMIN=5.74.0
QTMIN=5.15.1
VIRTUALX_REQUIRED="test"
VIRTUALDBUS_TEST="true"
inherit ecm kde.org optfeature
DESCRIPTION="Personal finance manager based on KDE Frameworks"
HOMEPAGE="https://kmymoney.org/"
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-2"
SLOT="5"
IUSE="activities addressbook calendar hbci holidays"
[[ ${KDE_BUILD_TYPE} = live ]] && IUSE+=" experimental"
BDEPEND="virtual/pkgconfig"
RDEPEND="
>=app-crypt/gpgme-1.7.1-r1[cxx]
>=app-office/libalkimia-7.0.0:=
dev-db/sqlcipher
dev-libs/gmp:0=[cxx]
dev-libs/kdiagram:5
dev-libs/libgpg-error
dev-libs/libofx:=
>=dev-qt/qtdbus-${QTMIN}:5
>=dev-qt/qtgui-${QTMIN}:5
>=dev-qt/qtnetwork-${QTMIN}:5
>=dev-qt/qtprintsupport-${QTMIN}:5
>=dev-qt/qtsql-${QTMIN}:5
>=dev-qt/qtsvg-${QTMIN}:5
>=dev-qt/qtwebengine-${QTMIN}:5[widgets]
>=dev-qt/qtwidgets-${QTMIN}:5
>=dev-qt/qtxml-${QTMIN}:5
>=kde-frameworks/karchive-${KFMIN}:5
>=kde-frameworks/kcmutils-${KFMIN}:5
>=kde-frameworks/kcodecs-${KFMIN}:5
>=kde-frameworks/kcompletion-${KFMIN}:5
>=kde-frameworks/kconfig-${KFMIN}:5
>=kde-frameworks/kconfigwidgets-${KFMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kiconthemes-${KFMIN}:5
>=kde-frameworks/kio-${KFMIN}:5
>=kde-frameworks/kitemmodels-${KFMIN}:5
>=kde-frameworks/kitemviews-${KFMIN}:5
>=kde-frameworks/kjobwidgets-${KFMIN}:5
>=kde-frameworks/knotifications-${KFMIN}:5
>=kde-frameworks/kservice-${KFMIN}:5
>=kde-frameworks/ktextwidgets-${KFMIN}:5
>=kde-frameworks/kwallet-${KFMIN}:5
>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
>=kde-frameworks/kxmlgui-${KFMIN}:5
>=kde-frameworks/sonnet-${KFMIN}:5
activities? ( >=kde-frameworks/kactivities-${KFMIN}:5 )
addressbook? (
kde-apps/akonadi:5
kde-apps/kidentitymanagement:5
>=kde-frameworks/kcontacts-${KFMIN}:5
)
calendar? ( dev-libs/libical:= )
hbci? (
>=net-libs/aqbanking-6.0.1
>=sys-libs/gwenhywfar-5.1.2:=[qt5]
)
holidays? ( >=kde-frameworks/kholidays-${KFMIN}:5 )
"
DEPEND="${RDEPEND}
dev-libs/boost
"
pkg_setup() {
ecm_pkg_setup
if [[ ${KDE_BUILD_TYPE} = live ]] && use experimental; then
ewarn "USE experimental set: Building unfinished features."
ewarn "This *will* chew up your data. You have been warned."
fi
}
src_configure() {
local mycmakeargs=(
-DENABLE_OFXIMPORTER=ON
-DENABLE_WEBENGINE=ON
-DENABLE_WEBOOB=OFF
-DUSE_QT_DESIGNER=OFF
$(cmake_use_find_package activities KF5Activities)
$(cmake_use_find_package addressbook KF5Akonadi)
$(cmake_use_find_package addressbook KF5Contacts)
$(cmake_use_find_package addressbook KF5IdentityManagement)
-DENABLE_LIBICAL=$(usex calendar)
-DENABLE_KBANKING=$(usex hbci)
$(cmake_use_find_package holidays KF5Holidays)
)
[[ ${KDE_BUILD_TYPE} = live ]] &&
mycmakeargs+=( -DENABLE_UNFINISHEDFEATURES=$(usex experimental) )
ecm_src_configure
}
src_test() {
# bug 652636; bug 673052: needs kmymoney installed to succeed
local myctestargs=(
-E "(reports-chart-test|qsqlcipher-test)"
)
ecm_src_test
}
pkg_postinst() {
if [[ -z "${REPLACING_VERSIONS}" ]]; then
elog "Optional dependencies:"
optfeature "More options for online stock quote retrieval" dev-perl/Finance-Quote
fi
if has_version "app-office/kmymoney[quotes]"; then
elog "Please note: IUSE=quotes flag is gone in ${PN}-5.1.1. ${PN} still"
elog "does online stock quote retrieval without it, but dev-perl/Finance-Quote"
elog "may provide additional sources. To keep the functionality, run:"
elog " emerge --noreplace dev-perl/Finance-Quote"
fi
ecm_pkg_postinst
}

1
app-office/scribus/Manifest

@ -1,2 +1 @@
DIST scribus-1.5.5_p20200626.tar.gz 87557791 BLAKE2B 183b035901f5a19ffbf5890acc6037eb5483a0b5837b244b39838ca03d13bd4afc76c3c41345123aec402c602177c5fff7183deba10f8e33e980659c4ef7881e SHA512 ff6cf0d86c874b7f03c8be9675f92c6cc7797e3a344326824e4f01f0b02ec02d6fdf5b52924e51b3436d9a6d78eda47a5e9987507721d18985768cc5a3c77245
DIST scribus-1.5.6.1.tar.gz 87557791 BLAKE2B 183b035901f5a19ffbf5890acc6037eb5483a0b5837b244b39838ca03d13bd4afc76c3c41345123aec402c602177c5fff7183deba10f8e33e980659c4ef7881e SHA512 ff6cf0d86c874b7f03c8be9675f92c6cc7797e3a344326824e4f01f0b02ec02d6fdf5b52924e51b3436d9a6d78eda47a5e9987507721d18985768cc5a3c77245

159
app-office/scribus/scribus-1.5.5_p20200626.ebuild

@ -1,159 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE="tk?"
COMMIT=aa84120d97003a03d883db33ea9a6ad28550e59a
inherit cmake desktop flag-o-matic python-single-r1 xdg
DESCRIPTION="Desktop publishing (DTP) and layout program"
HOMEPAGE="https://www.scribus.net/"
SRC_URI="https://github.com/${PN}project/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="+boost debug examples graphicsmagick hunspell +minimal osg +pdf scripts +templates tk"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
tk? ( scripts )"
# osg
# couple of third_party libs bundled
BDEPEND="
dev-qt/linguist-tools:5
virtual/pkgconfig
"
DEPEND="${PYTHON_DEPS}
app-text/libmspub
app-text/libqxp
app-text/poppler:=
dev-libs/hyphen
>=dev-libs/icu-58.2:0=
dev-libs/librevenge
dev-libs/libxml2
dev-qt/qtcore:5
dev-qt/qtgui:5[-gles2-only]
dev-qt/qtnetwork:5
dev-qt/qtopengl:5
dev-qt/qtprintsupport:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
media-libs/fontconfig
media-libs/freetype:2
>=media-libs/harfbuzz-0.9.42:0=[icu]
media-libs/lcms:2
media-libs/libcdr
media-libs/libfreehand
media-libs/libpagemaker
media-libs/libpng:0=
media-libs/libvisio
media-libs/libzmf
media-libs/tiff:0
net-print/cups
sys-libs/zlib[minizip]
virtual/jpeg:0=
>=x11-libs/cairo-1.10.0[X,svg]
boost? ( >=dev-libs/boost-1.67:= )
graphicsmagick? ( media-gfx/graphicsmagick:= )
hunspell? ( app-text/hunspell:= )
osg? ( dev-games/openscenegraph:= )
pdf? ( app-text/podofo:0= )
scripts? (
$(python_gen_cond_dep '
dev-python/pillow[tk?,${PYTHON_MULTI_USEDEP}]
')
)
"
RDEPEND="${DEPEND}
app-text/ghostscript-gpl
"
PATCHES=(
# non(?)-upstreamable
"${FILESDIR}"/${PN}-1.5.3-fpic.patch
"${FILESDIR}"/${PN}-1.5.6-docdir.patch
"${FILESDIR}"/${PN}-1.5.5-findhyphen-1.patch
"${FILESDIR}"/${PN}-1.5.6-findhyphen.patch
)
CMAKE_BUILD_TYPE="Release"
S="${WORKDIR}"/${PN}-${COMMIT}
src_prepare() {
cmake_src_prepare
rm -r codegen/cheetah scribus/third_party/hyphen || die
sed \
-e "/^\s*unzip\.[ch]/d" \
-e "/^\s*ioapi\.[ch]/d" \
-i scribus/CMakeLists.txt Scribus.pro || die
rm scribus/ioapi.[ch] || die
sed \
-e 's:\(${CMAKE_INSTALL_PREFIX}\):./\1:g' \
-i resources/templates/CMakeLists.txt || die
sed \
-e "/^add_subdirectory(ui\/qml)/s/^/#DONT/" \
-i scribus/CMakeLists.txt || die # nothing but a bogus Hello World test
}
src_configure() {
# bug #550818
append-cppflags -DHAVE_MEMRCHR
local mycmakeargs=(
-DHAVE_PYTHON=ON
-DWANT_DISTROBUILD=ON
-DDOCDIR="${EPREFIX}"/usr/share/doc/${PF}/
-DPython3_EXECUTABLE="${PYTHON}"
-DWITH_BOOST=$(usex boost)
-DWANT_DEBUG=$(usex debug)
-DWANT_NOEXAMPLES=$(usex !examples)
-DWANT_GRAPHICSMAGICK=$(usex graphicsmagick)
-DWANT_HUNSPELL=$(usex hunspell)
-DWANT_HEADERINSTALL=$(usex !minimal)
-DWANT_NOOSG=$(usex !osg)
-DWITH_PODOFO=$(usex pdf)
-DWANT_NOTEMPLATES=$(usex !templates)
)
cmake_src_configure
}
src_install() {
cmake_src_install
if ! use tk; then
rm "${ED}"/usr/share/scribus/scripts/{FontSample,CalendarWizard}.py || die
fi
if use scripts; then
python_fix_shebang "${ED}"/usr/share/scribus/scripts
python_optimize "${ED}"/usr/share/scribus/scripts
else
rm "${ED}"/usr/share/scribus/scripts/*.py || die
fi
mv "${ED}"/usr/share/doc/${PF}/{en,html} || die
ln -sf html "${ED}"/usr/share/doc/${PF}/en || die
# These files are parsed to populate the help/about window.
cat >> "${T}"/COPYING <<- EOF || die
${PN} is licensed under the "${LICENSE}".
Please visit https://www.gnu.org/licenses/gpl-2.0.html for the complete license text.
EOF
dodoc "${T}"/COPYING
docompress -x /usr/share/doc/${PF}/en /usr/share/doc/${PF}/{AUTHORS,TRANSLATION,LINKS,COPYING}
local size
for size in 16 32 128 256 512; do
newicon -s $size resources/iconsets/artwork/icon_${size}x${size}.png scribus.png
done
newicon -s 64 resources/iconsets/artwork/icon_32x32@2x.png scribus.png
doicon resources/iconsets/*/scribus.png
domenu scribus.desktop
}

BIN
app-officeext/Manifest.gz

1
app-officeext/languagetool/Manifest

@ -1 +1,2 @@
DIST LanguageTool-5.0.oxt 141552168 BLAKE2B 040cb817150dd1cf137feadf28ca00ce6316a529709c1255438d0fa2faac3b5a516d9a48e3e3ba6bf2fedc3650050970eae6179578c5fcf005c6484c30cf408e SHA512 8493100684598aaa7c422360e0f00b5cff0c1be22aca4bee6c7e0e12d509916bc3c7f8df052b86702f6177ffffc227d1a5dbe6b2592fa1cbdb79f4666dc22c16
DIST LanguageTool-5.1.3.oxt 142774437 BLAKE2B 45d6ffc3aa6a3d9891d0e3e5fc6462f4d8ec76736a47cbb3b235721fcc708d0f0b17d3f069fdcb85843c9b96dca6a70176c3dcba6832f9855c8d5eeb4a257dd1 SHA512 7a36e3b028b757c073d879ddd837ca12dc288178430bbf445080c892efe9f28d13565efd546e34244bcd8798ee0ef65433d08c8e3ee993b96efa4e5bbc103882

23
app-officeext/languagetool/languagetool-5.1.3.ebuild

@ -0,0 +1,23 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
MY_P="LanguageTool-${PV}"
OFFICE_REQ_USE="java"
OFFICE_EXTENSIONS=(
"${MY_P}.oxt"
)
inherit office-ext-r1
DESCRIPTION="Style and Grammar Checker for libreoffice"
HOMEPAGE="https://www.languagetool.org/"
SRC_URI="https://www.languagetool.org/download/${MY_P}.oxt"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND=">=virtual/jre-1.8"

BIN
app-text/Manifest.gz

2
app-text/ghostscript-gpl/ghostscript-gpl-9.53.3-r4.ebuild

@ -23,7 +23,7 @@ fi
LICENSE="AGPL-3 CPL-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="cups dbus gtk l10n_de static-libs unicode X"
LANGS="ja ko zh-CN zh-TW"

101
app-text/highlight/highlight-3.57-r100.ebuild

@ -0,0 +1,101 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..3} )
inherit lua-single qmake-utils toolchain-funcs
DESCRIPTION="Converts source code to formatted text (HTML, LaTeX, etc.) with syntax highlight"
HOMEPAGE="http://www.andre-simon.de/"
SRC_URI="http://www.andre-simon.de/zip/${P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="examples qt5"
REQUIRED_USE="${LUA_REQUIRED_USE}"
RDEPEND="
${LUA_DEPS}
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
"
DEPEND="${RDEPEND}
dev-libs/boost
"
BDEPEND="
virtual/pkgconfig
qt5? ( dev-qt/linguist-tools:5 )
"
myhlopts=(
"CXX=$(tc-getCXX)"
"AR=$(tc-getAR)"
"LDFLAGS=${LDFLAGS}"
"CFLAGS=${CXXFLAGS} -DNDEBUG -std=c++11"
"DESTDIR=${D}"
"PREFIX=${EPREFIX}/usr"
"HL_CONFIG_DIR=${EPREFIX}/etc/highlight/"
"HL_DATA_DIR=${EPREFIX}/usr/share/highlight/"
"doc_dir=${EPREFIX}/usr/share/doc/${PF}/"
"conf_dir=${EPREFIX}/etc/highlight/"
)
src_prepare() {
default
# disable man page compression
sed -e "/GZIP/d" -i makefile || die
sed -e "/LSB_DOC_DIR/s:doc/${PN}:doc/${PF}:" \
-i src/core/datadir.cpp || die
sed -r -i \
-e "/^LUA_.*pkg-config/s,\<lua\>,${ELUA},g" \
"${S}"/extras/tcl/makefile \
"${S}"/extras/swig/makefile \
"${S}"/makefile \
"${S}"/src/makefile \
|| die "Failed to set Lua implementation"
# We set it via eqmake5, otherwise it forces clang...
sed -e "s/QMAKE_CC/#QMAKE_CC/g" \
-e "s/QMAKE_CXX /#QMAKE_CXX /g" \
-i src/gui-qt/highlight.pro || die
}
src_configure() {
if use qt5 ; then
pushd src/gui-qt > /dev/null || die
eqmake5 \
'DEFINES+=DATA_DIR=\\\"'"${EPREFIX}"'/usr/share/${PN}/\\\" CONFIG_DIR=\\\"'"${EPREFIX}"'/etc/${PN}/\\\" DOC_DIR=\\\"'"${EPREFIX}"'/usr/share/doc/${PF}/\\\"'
popd > /dev/null || die
fi
}
src_compile() {
emake -f makefile LUA_PKG_NAME="${ELUA}" "${myhlopts[@]}"
if use qt5 ; then
pushd src/gui-qt > /dev/null || die
emake
popd > /dev/null || die
fi
}
src_install() {
emake -f makefile "${myhlopts[@]}" install
if use qt5; then
emake -f makefile "${myhlopts[@]}" install-gui
docompress -x /usr/share/doc/${PF}/{ChangeLog,COPYING,README,README_PLUGINS}
fi
if ! use examples ; then
rm -r "${ED}"/usr/share/doc/${PF}/extras || die
fi
}

26
app-text/mythes/mythes-1.2.4-r1.ebuild

@ -0,0 +1,26 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="A simple thesaurus for Libreoffice"
HOMEPAGE="http://hunspell.sourceforge.net/"
SRC_URI="mirror://sourceforge/hunspell/MyThes/${PV}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND="app-text/hunspell"
DEPEND="${DEPEND}
virtual/pkgconfig"
src_configure() {
econf --disable-static
}
src_install() {
default
find "${ED}" -name '*.la' -exec rm -f {} +
}

15
app-text/podofo/files/podofo-0.9.6_p20190928-cmake_lua_version.patch

@ -0,0 +1,15 @@
Switch from the non-standard upstream CMake Lua module to the one bundled
with CMake, use only the Lua version requested by the ebuild, and do not
semi-quietly ignore the absence of Lua.
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -433,7 +433,7 @@
ENDIF(WANT_FONTCONFIG)
IF(NOT PODOFO_BUILD_LIB_ONLY)
-FIND_PACKAGE(LUA)
+FIND_PACKAGE(Lua ${LUA_VERSION} EXACT REQUIRED)
IF(LUA_FOUND)
# If we have lua, we can build podofoimpose.
MESSAGE("Lua found - PoDoFoImpose and PoDoFoColor will be built with Lua support")

159
app-text/podofo/podofo-0.9.6_p20190928-r100.ebuild

@ -0,0 +1,159 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..4} )
inherit cmake flag-o-matic lua-single toolchain-funcs
DESCRIPTION="PoDoFo is a C++ library to work with the PDF file format"
HOMEPAGE="https://sourceforge.net/projects/podofo/"
SRC_URI="https://dev.gentoo.org/~zmedico/dist/${P}.tar.xz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0/${PV%_*}"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="+boost idn libressl debug test +tools"
RESTRICT="!test? ( test )"
REQUIRED_USE="${LUA_REQUIRED_USE}
test? ( tools )"
RDEPEND="${LUA_DEPS}
idn? ( net-dns/libidn:= )
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
media-libs/fontconfig:=
media-libs/freetype:2=
virtual/jpeg:0=
media-libs/libpng:0=
media-libs/tiff:0=
sys-libs/zlib:="
DEPEND="${RDEPEND}
virtual/pkgconfig
boost? ( dev-util/boost-build )
test? ( dev-util/cppunit )"
PATCHES=(
"${FILESDIR}"/${PN}-0.9.6_p20190928-cmake_lua_version.patch
)
DOCS="AUTHORS ChangeLog TODO"
src_prepare() {
cmake_src_prepare
local x sed_args
if use libressl; then
sed -e 's:^#ifdef PODOFO_HAVE_OPENSSL_1_1$:#ifndef PODOFO_HAVE_OPENSSL_1_1:' \
-i tools/podofosign/podofosign.cpp || die #663602
fi
# bug 620934 - Disable linking with cppunit when possible, since it
# triggers errors with some older compilers.
use test || sed -e 's:^FIND_PACKAGE(CppUnit):#\0:' -i CMakeLists.txt || die
# bug 556962
sed -i -e 's|Decrypt( pEncryptedBuffer, nOutputLen, pDecryptedBuffer, m_lLen );|Decrypt( pEncryptedBuffer, (pdf_long)nOutputLen, pDecryptedBuffer, (pdf_long\&)m_lLen );|' \
test/unit/EncryptTest.cpp || die
sed -i \
-e "s:LIBDIRNAME \"lib\":LIBDIRNAME \"$(get_libdir)\":" \
-e "s:LIBIDN_FOUND:HAVE_LIBIDN:g" \
CMakeLists.txt || die
# Use pkg-config to find headers for bug #459404.
sed_args=
for x in $($(tc-getPKG_CONFIG) --cflags freetype2) ; do
[[ ${x} == -I* ]] || continue
x=${x#-I}
if [[ -f ${x}/ft2build.h ]] ; then
sed_args+=" -e s:/usr/include/\\r\$:${x}:"
elif [[ -f ${x}/freetype/config/ftheader.h ]] ; then
sed_args+=" -e s:/usr/include/freetype2\\r\$:${x}:"
fi
done
[[ -n ${sed_args} ]] && \
{ sed -i ${sed_args} cmake/modules/FindFREETYPE.cmake || die; }
# Bug #439784: Add missing unistd include for close() and unlink().
sed -i 's:^#include <stdio.h>$:#include <unistd.h>\n\0:' -i \
test/unit/TestUtils.cpp || die
# TODO: fix these test cases
# ColorTest.cpp:62:Assertion
# Test name: ColorTest::testDefaultConstructor
# expected exception not thrown
# - Expected: PdfError
sed -e 's:CPPUNIT_TEST( testDefaultConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testGreyConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testRGBConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testCMYKConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorSeparationAllConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorSeparationNoneConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorSeparationConstructor ://\0:' \
-e 's:CPPUNIT_TEST( testColorCieLabConstructor ://\0:' \
-i test/unit/ColorTest.h || die
# ColorTest.cpp:42:Assertion
# Test name: ColorTest::testHexNames
# assertion failed
# - Expression: static_cast<int>(rgb.GetGreen() * 255.0) == 0x0A
sed -e 's:CPPUNIT_TEST( testHexNames ://\0:' \
-i test/unit/ColorTest.h || die
# Bug #352125: test failure, depending on installed fonts
# ##Failure Location unknown## : Error
# Test name: FontTest::testFonts
# uncaught exception of type PoDoFo::PdfError
# - ePdfError_UnsupportedFontFormat
sed -e 's:CPPUNIT_TEST( testFonts ://\0:' \
-i test/unit/FontTest.h || die
# Test name: EncodingTest::testDifferencesEncoding
# equality assertion failed
# - Expected: 1
# - Actual : 0
sed -e 's:CPPUNIT_TEST( testDifferencesEncoding ://\0:' \
-i test/unit/EncodingTest.h || die
# Bug #407015: fix to compile with Lua 5.2+
case "${ELUA}" in
lua5-1|luajit)
;;
*)
sed -e 's: lua_open(: luaL_newstate(:' \
-e 's: luaL_getn(: lua_rawlen(:' -i \
tools/podofocolor/luaconverter.cpp \
tools/podofoimpose/planreader_lua.cpp || die
;;
esac
}
src_configure() {
# Bug #381359: undefined reference to `PoDoFo::PdfVariant::DelayedLoadImpl()'
filter-flags -fvisibility-inlines-hidden
mycmakeargs+=(
"-DPODOFO_BUILD_SHARED=1"
"-DPODOFO_HAVE_JPEG_LIB=1"
"-DPODOFO_HAVE_PNG_LIB=1"
"-DPODOFO_HAVE_TIFF_LIB=1"
"-DWANT_FONTCONFIG=1"
"-DUSE_STLPORT=0"
-DLUA_VERSION="$(lua_get_version)"
-DWANT_BOOST=$(usex boost ON OFF)
-DHAVE_LIBIDN=$(usex idn ON OFF)
-DPODOFO_HAVE_CPPUNIT=$(usex test ON OFF)
-DPODOFO_BUILD_LIB_ONLY=$(usex tools OFF ON)
)
cmake_src_configure
mkdir -p "${S}/test/TokenizerTest/objects" || die
}
src_test() {
cd "${BUILD_DIR}"/test/unit || die
./podofo-test --selftest || die "self test failed"
}

BIN
dev-db/Manifest.gz

2
dev-db/pgbouncer/pgbouncer-1.15.0.ebuild

@ -10,7 +10,7 @@ HOMEPAGE="https://www.pgbouncer.org/"
SRC_URI="https://www.pgbouncer.org/downloads/files/${PV}/pgbouncer-${PV}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="+c-ares debug doc pam ssl systemd -udns"
# At-most-one-of, one can be enabled but not both

2
dev-db/pspg/pspg-3.1.5.ebuild

@ -9,7 +9,7 @@ SRC_URI="https://github.com/okbob/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
DEPEND="sys-libs/ncurses:*
dev-db/postgresql:=

BIN
dev-haskell/Manifest.gz

2
dev-haskell/text/text-1.2.4.0.ebuild → dev-haskell/text/text-1.2.4.0-r1.ebuild

@ -24,7 +24,7 @@ IUSE=""
# break cyclic dependencies, test suite requires porting to >=QC-2.11
RESTRICT=test
RDEPEND=">=dev-lang/ghc-8.8.1:="
RDEPEND=">=dev-lang/ghc-8.8.1:= <dev-lang/ghc-8.10:="
DEPEND="${RDEPEND}
"

BIN
dev-java/Manifest.gz

2
dev-java/javatoolkit/javatoolkit-0.6.5.ebuild

@ -15,7 +15,7 @@ SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ppc64 sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm arm64 ppc64 sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
python_prepare_all() {
hprefixify src/py/buildparser src/py/findclass setup.py

1
dev-java/javatoolkit/metadata.xml

@ -5,4 +5,5 @@
<email>java@gentoo.org</email>
<name>Java</name>
</maintainer>
<stabilize-allarches/>
</pkgmetadata>

2
dev-java/tomcat-servlet-api/Manifest

@ -3,9 +3,7 @@ DIST apache-tomcat-5.5.36-src.tar.gz 3743113 BLAKE2B dbfcfd123a23b0ceb9f1fdd936e
DIST apache-tomcat-6.0.53-src.tar.gz 3522914 BLAKE2B 054b097c16861abaa8bdbeba713b49bc1dfcff573bb3f4bd0ff5807c33a2a0fb991af618f6e11e5b3ce3fa55c589fc6569342cab5d5a00349c79bc7061d81e40 SHA512 915a0a18f5c2883625c9441eed6465973eff4f6bf41e08e925c7edaea89ef8f6ee9476d3e06fa38228d4bcb4decaf53e3a7bdb7ec7e899e6250db3e12a9f5f2c
DIST apache-tomcat-7.0.106-src.tar.gz 5302091 BLAKE2B f60975ef5570501b03e71645969170c44450f2b56f37688001ad1b4dce3a394f6800e9b28a8fabf59241116345fb7e2a287441f3eace020bc5c0203d57630c91 SHA512 5ce5a5af93c58e69c4758c2c0dedeadeceb6be920421b9d3b3d071d32fc8eb59ba8312c98d037b8434fe43d57a9f720ad8790de29a26ed2959f6c761fe1fd573
DIST apache-tomcat-7.0.107-src.tar.gz 5312698 BLAKE2B 1f2712ddce6aa604692aaf6a6c706469d3dbcb2266a99e62346c15b8347fff573608440473be8e20b8632a431f8838dd29f24f6bf630a13d262c444be68e0d2c SHA512 820923697c487367786c595d3aeaa58981d25b56529c6739b9388ad771f3264e6995f7659805cc5b2ef9456dbd42bad92ad2cfa3c7f741920a5b7bff2cc1bb1b
DIST apache-tomcat-8.5.59-src.tar.gz 5787634 BLAKE2B 8ca1aa8b4d12d0e73c0d7937e906530037168ac349b196e172935332e632b1e9ab15379f532cb8fb1b2f853d01567332af9c031393882c833dcea65f9e626b09 SHA512 bed80e86c4dc972fd6ad414a804ed2bffc797e22b0a5e0e6e93c8540fb87cffb2fd2f1f8d97873a3ee24397f7961a8fdeb6756c542a532e4b73468bccec6e626
DIST apache-tomcat-8.5.60-src.tar.gz 5837412 BLAKE2B 0c2200412900f7f6d318051333b15b8c6236e00f6194c21fc45bb95b565c4146e2682b879f3a293de3ab65524013f786a7f69dd7e91f1c4cc903179075253cc4 SHA512 43222e5d04b3de400429d6f1792d418172b6ff15dcc17e392cd66a5444d740a323b9c426a9f39678b3460452545fda4d784f56961d5ea56b9c0e1ca466d49040
DIST apache-tomcat-8.5.61-src.tar.gz 5840559 BLAKE2B 18e1505b6b7d8e1a024d9f834d33ef105a16e6fc1f9e80abd3e6e88b2326597b9973e13c2ebc030a1db4a2d4dc5572d195b9f61db6cb7bf51e97cbfaa121678a SHA512 fd6bb5926b5e7cf44f359c93dadc4edd87fa5f2e26fb0fb3a9bc0a5c89ae4d844d66872055e1b441392cf03d7690aca3429b66afd8334319784f089f821d8c22
DIST apache-tomcat-9.0.38-src.tar.gz 5948083 BLAKE2B ac076684f10a51bf0e0b5b0dbf18ee476ec900bead0089010de7b4a7d380a1e18035eaa0d0f661c863aa53491e51f719c2a5985e4791bcc9dada4c421db39fe7 SHA512 13c79abed71ead564b108ec8a046e78374611acd906f4b6e775ac0427446117192be6b25f29894e625e2dc13f79abbc97bc52b32120ce5701cbe0f5ae05bc57b
DIST apache-tomcat-9.0.40-src.tar.gz 6017562 BLAKE2B 1c90511911363bb3b154124382f6401851c3a0e7925e06cc8f2b4f02a7b4c1c59bc75007a8b387f06742cbeca7f840b6860d84dc7c6fdb1e7774b22dbca6082f SHA512 61b8e191315cee2bc0437013dbe7d1fb3451182e0b316fb377581c7d47a59cefb7f2ff30d96a2d6326a99c86f4151b26d1ef76bda5029b30d81c8297a0b362fb
DIST apache-tomcat-9.0.41-src.tar.gz 6022059 BLAKE2B 6e97390aec956c16f271e57a2fa8805b6f49f593434f0dff8d82e14bc9abc199b00a7523dbb8da335a7ffa9dfee6790430c30f8b0ee90bcd133694c8da42197f SHA512 094e7cbd2519a4b812a2ca865f92802ece3385a20826c5e29b5f7cda8b9265d01ede6f598999f8aa2f1b04bcaca2e67e3f0132781b3f22007356df49ab6b1838

39
dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.59.ebuild

@ -1,39 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
JAVA_PKG_IUSE="source"
inherit eutils java-pkg-2 java-ant-2
MY_A="apache-${P}-src"
MY_P="${MY_A/-servlet-api/}"
DESCRIPTION="Tomcat's Servlet API 3.1/JSP API 2.3/EL API 3.0 implementation"
HOMEPAGE="https://tomcat.apache.org/"
SRC_URI="mirror://apache/tomcat/tomcat-8/v${PV}/src/${MY_P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="3.1"
KEYWORDS="amd64 ~arm ~arm64 ppc64 x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
IUSE=""
DEPEND=">=virtual/jdk-1.8"
RDEPEND=">=virtual/jre-1.8"
S="${WORKDIR}/${MY_P}/"
src_prepare() {
default
cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
rm -fR */*/build.xml
einfo "Removing bundled jars and classes"
find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -exec rm -frv {} +
java-pkg-2_src_prepare
}
src_install() {
java-pkg_dojar "${S}"/output/build/lib/*.jar
use source && java-pkg_dosrc java/javax/servlet/
}

39
dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.38.ebuild

@ -1,39 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
JAVA_PKG_IUSE="source"
inherit eutils java-pkg-2 java-ant-2
MY_A="apache-${PN}-${PV}-src"
MY_P="${MY_A/-servlet-api/}"
DESCRIPTION="Tomcat's Servlet API 4.0/JSP API 2.3/EL API 3.0 implementation"
HOMEPAGE="https://tomcat.apache.org/"
SRC_URI="mirror://apache/tomcat/tomcat-9/v${PV}/src/${MY_P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="4.0"
KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
IUSE=""
DEPEND=">=virtual/jdk-1.8"
RDEPEND=">=virtual/jre-1.8"
S="${WORKDIR}/${MY_P}/"
src_prepare() {
default
cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
rm -fR */*/build.xml
einfo "Removing bundled jars and classes"
find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -exec rm -frv {} +
java-pkg-2_src_prepare
}
src_install() {
java-pkg_dojar "${S}"/output/build/lib/*.jar
use source && java-pkg_dosrc java/javax/servlet/
}

BIN
dev-lang/Manifest.gz

4
dev-lang/lua/lua-5.1.5-r105.ebuild

@ -15,7 +15,7 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~
IUSE="+deprecated readline static"
RDEPEND="readline? ( >=sys-libs/readline-6.2_p5-r1:0=[${MULTILIB_USEDEP}] )
app-eselect/eselect-lua
>=app-eselect/eselect-lua-3
!dev-lang/lua:0"
DEPEND="${RDEPEND}
sys-devel/libtool"
@ -140,6 +140,8 @@ multilib_src_test() {
}
pkg_postinst() {
eselect lua set --if-unset "${PN}${SLOT}"
if has_version "app-editor/emacs"; then
if ! has_version "app-emacs/lua-mode"; then
einfo "Install app-emacs/lua-mode for lua support for emacs"

4
dev-lang/lua/lua-5.2.4-r2.ebuild

@ -21,7 +21,7 @@ IUSE="+deprecated readline static test test-complete"
RESTRICT="!test? ( test )"
RDEPEND="readline? ( sys-libs/readline:0= )
app-eselect/eselect-lua
>=app-eselect/eselect-lua-3
!dev-lang/lua:0"
DEPEND="${RDEPEND}
sys-devel/libtool"
<